classification
Title: Check input in surrogatepass error handler
Type: behavior Stage: resolved
Components: Interpreter Core, Unicode Versions: Python 3.4, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: ezio.melotti, pjenvey, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-10-27 10:06 by serhiy.storchaka, last changed 2012-11-03 21:09 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
codecs_surrogatepass_2.patch serhiy.storchaka, 2012-10-27 10:06 review
Messages (4)
msg173915 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-27 10:06
The proposed patch fixes input checking in surrogatepass error handler. Also it fixes 10% speed regression introduced by changeset 74d65c746f63.
msg174142 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2012-10-29 19:25
Thanks for picking this and the warning/slowdown up, Serhiy. The patch LGTM, for whatever that's worth =]
msg174693 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-03 21:05
New changeset 18ed608ee594 by Ezio Melotti in branch '3.2':
#16336: fix input checking in the surrogatepass error handler.  Patch by Serhiy Storchaka.
http://hg.python.org/cpython/rev/18ed608ee594

New changeset 8d5c147f030d by Ezio Melotti in branch '3.3':
#16336: merge with 3.2.
http://hg.python.org/cpython/rev/8d5c147f030d

New changeset e4aedd239e45 by Ezio Melotti in branch 'default':
#16336: merge with 3.3.
http://hg.python.org/cpython/rev/e4aedd239e45
msg174694 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-03 21:09
Thanks for spotting the error and fixing it!
History
Date User Action Args
2012-11-03 21:09:52ezio.melottisetstatus: open -> closed
messages: + msg174694

assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2012-11-03 21:05:33python-devsetnosy: + python-dev
messages: + msg174693
2012-10-29 19:25:36pjenveysetmessages: + msg174142
2012-10-27 10:06:10serhiy.storchakacreate